Probatix Documentation
Probatix Diagnostics API v1Diagnostic Tests

Replace a diagnostic test

Creates a replacement DiagnosticTest linked to the original test.

POST
/v1/diagnostic_tests/{id}/replace

Creates a replacement DiagnosticTest linked to the original test.

X-API-TOKEN<token>

In: header

Path Parameters

id*string (uuid)

DiagnosticTestReplaceInput identifier

Header Parameters

accept-language?string

Language for Errors and Translatable properties

Allowed values: "de", "en", "fr"

Request Body

The new DiagnosticTestReplaceInput resource

TypeScript Definitions

Use the request body type in TypeScript.

body*DiagnosticTestReplaceInput
cancellationReason?string | null

Optional reason for replacing the diagnostic test.

cancellationReasonComment?string | null

Optional additional detail about the replacement.

Response Body

curl -X POST "https://example.com/v1/diagnostic_tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/replace" \  -H "accept-language: de" \  -H "Content-Type: application/json" \  -d '{    "cancellationReason": "damaged_kit",    "cancellationReasonComment": "Specimen kit was damaged in transit."  }'
Empty